# SourcePath: libusb-compat/20170118dev
Summary: Library which allows userspace access to USB devices
Name: sony-target-dev-libusb-compat
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libusb-compat
Version: 0.1.5
Release: 14000002
Source: libusb-compat-%{version}.tar.bz2
URL: http://libusb.wiki.sourceforge.net/
License: LGPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define targetroot %{sony_target_dir}


%description
libusb is a library which allows userspace application access to USB devices.

%package -n %{pkgname}
Summary: Library which allows userspace access to USB devices
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
libusb is a library which allows userspace application access to USB devices.


%prep
%setup -n libusb-compat-%{version} -q

%build
%sony_target_dev_setup
%sony_target_dev_configure --disable-build-docs 
sed -e s!@prefix@!\$CROSS_COMPILE_PREFIX@prefix@! ../libusb-config.in \
    -e s!@includedir@!\$CROSS_COMPILE_PREFIX/tool/@prefix@/include!> ../libusb-config.tmp
mv ../libusb-config.tmp ../libusb-config.in
cat ../libusb.pc.in | sed -e s!@exec_prefix@!\${prefix}! \
    -e s!@libdir@!\${exec_prefix}/lib! \
    -e s!@includedir@!/tool/\${prefix}/include! \
> ../pc-tmp
mv ../pc-tmp ../libusb.pc.in
make LDFLAGS="-L%{sony_target_dir}/lib -L%{sony_target_dir}/usr/lib" 


%install
rm -rf %{buildroot}
%sony_target_dev_setup
cd objdir &&  make LDFLAGS="-L%{sony_target_dir}/lib -L%{sony_target_dir}/usr/lib" DESTDIR=%{buildroot}%{sony_target_dir} install
%demangle_libtool

# for 6.x
  mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
  mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_bin_dir}/*-config \
     ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}

  mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
  mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
     ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}


# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_include_dir}/usb.h
%{sony_target_dir}%{sony_target_dev_lib_dir}/libusb-0.1.so.4
%{sony_target_dir}%{sony_target_dev_lib_dir}/libusb-0.1.so.4.4.4
%{sony_target_dir}%{sony_target_dev_lib_dir}/libusb.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libusb.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libusb.la
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libusb.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libusb.pc
%{sony_target_dir}%{sony_target_devtool_bin_dir}/libusb-config

%changelog
* Wed Jan 18 2017 Sony Corporation
- Updated to libusb-compat 0.1.5

* Tue Apr 09 2013 Sony Corporation
- Updated to libusb-compat 0.1.4

* Tue Apr 21 2009 Sony Corporation
- Updated to 6.x

* Mon Jun 16 2008 Sony Corporation
- Fix prefix of some varibles in libusb-config and libusb.pc.

* Mon Jun 09 2008 Sony Corporation
- Initial build.
